Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.jobmanager
Interface JobDefinition

All Known Subinterfaces:
  CalendarJobDefinitionBean, IntervalJobDefinitionBean, StartupJobDefinitionBean, TimerJobDefinitionBean

All Known Implementing Classes:
  AbstractJobDefinition, CalendarJobDefinition, EventJobDefinition, IntervalJobDefinition, StartupJobDefinition, TimerJobDefinition

    public interface JobDefinition

An abstract job definition interface.

Nested Class Summary
`static class` | `JobDefinition.JOB_TYPE` Supported job types.

Method Summary
`JobListenerBean` | `createJobListener(String name)`
`JobParamBean` | `createJobParam(String name)`
`void` | `destroyJobListener(JobListenerBean component)`
`void` | `destroyJobParam(JobParamBean component)`
`String` | `getDescription()` Description of job.
`boolean` | `getEnabled()` Is job enabled to run or not.
`String` | `getGroup()` Optional Group name for job.
`String` | `getJobClass()` Fully class name of job.
`JobListenerBean[]` | `getJobListeners()` Listeners to call after job completes
`JobParamBean[]` | `getJobParams()` Parameters to job.
`String` | `getName()`
`String` | `getNode()` Where does this job run.
`JobListenerBean` | `lookupJobListener(String name)`
`JobParamBean` | `lookupJobParam(String name)`
`void` | `setDescription(String description)`
`void` | `setEnabled(boolean enabled)`
`void` | `setGroup(String group)`
`void` | `setJobClass(String jobClass)`
`void` | `setName(String name)`
`void` | `setNode(String node)`

Method Detail

### getName

    String getName()

### setName

    void setName(String name)

### getDescription

    String getDescription()

  Description of job. (For Humans)

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute

### setDescription

    void setDescription(String description)

### getGroup

    String getGroup()

  Optional Group name for job.

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute

### setGroup

    void setGroup(String group)

### getEnabled

    boolean getEnabled()

  Is job enabled to run or not.

  Descriptor Bean Configurable Attribute
  Descriptor Bean Attribute Default Value:
    true
  Descriptor Bean Dynamic Attribute

### setEnabled

    void setEnabled(boolean enabled)

### getJobClass

    String getJobClass()

  Fully class name of job.

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute

### setJobClass

    void setJobClass(String jobClass)

### getNode

    String getNode()

  Where does this job run. Values are: * - All nodes. No cross cluster syncronization - Specific Server Name in cluster - One node in cluster.

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute

### setNode

    void setNode(String node)

### getJobParams

    JobParamBean[] getJobParams()

  Parameters to job. This allow for same job class to be used diffrent ways.

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute

### lookupJobParam

    JobParamBean lookupJobParam(String name)

### destroyJobParam

    void destroyJobParam(JobParamBean component)

### createJobParam

    JobParamBean createJobParam(String name)

### getJobListeners

    JobListenerBean[] getJobListeners()

  Listeners to call after job completes

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute

### lookupJobListener

    JobListenerBean lookupJobListener(String name)

### destroyJobListener

    void destroyJobListener(JobListenerBean component)

### createJobListener

    JobListenerBean createJobListener(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.